BEGIN ~SK#AMN~

IF ~NumTimesTalkedTo(0)
Global("AmnishSearch","GLOBAL",1)~ THEN BEGIN 0Amn
  SAY ~Halt, citizen! By orders of Magistrate Bylanna, this district is undergoing a sweep. Anyone found entering the area is to be escorted to their destination under guard.~
++ ~I am <GABBER>. Bylanna should have told you I was coming to help.~ + 1Amn
++ ~What is going on here that requires soldiers accosting everybody?~ + 2Amn
++ ~I will go where ever I wish, *without* an escort.~ + 3Amn
++ ~I'm just on my way to the Temple of Helm.~ + 4Amn
++ ~I'm just on my way to the Temple of Lathander.~ + 5Amn
++ ~I'm just on my way to the Temple of Talos.~ + 6Amn
++ ~I'm just on my way to the Order of the Radiant Heart.~ + 7Amn
++ ~I'm just taking a trip to the sewers.~ + 8Amn
++ ~I'm just taking a stroll through the district, nothing to worry about.~ + 9Amn
++ ~I was just about to leave, actually.~ + 11Amn
END

IF ~~ THEN BEGIN 1Amn
SAY ~Lady Bylanna did tell me about your arrival. We have pinpointed the location of the Slave Lords, and have been waiting until your arrival to confront them. Follow me.~
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
SetGlobal("AmnishSearch","GLOBAL",2)
FadeToColor([20.0],0)
Wait(1)
MoveViewPoint([4203.1947],0)
JumpToPoint([4203.1947])
ActionOverride(Player1,JumpToPoint([4160.1996]))
ActionOverride(Player2,JumpToPoint([4160.2034]))
ActionOverride(Player3,JumpToPoint([4172.1954]))
ActionOverride(Player4,JumpToPoint([4274.1984]))
ActionOverride(Player5,JumpToPoint([4264.1926]))
ActionOverride(Player6,JumpToPoint([4262.1944]))
Wait(2)
FadeFromColor([20.0],0)
Wait(2)
StartDialogueNoSet(Player1)
~ EXIT
END

IF ~~ THEN BEGIN 2Amn
SAY ~Once in awhile the city will require soldiers to do sweeps through districts, and during these times anyone is under suspicion. What purpose do you have, here?~
++ ~I am <GABBER>. Bylanna should have told you I was coming to help.~ + 1Amn
++ ~I'm just on my way to the Temple of Helm.~ + 4Amn
++ ~I'm just on my way to the Temple of Lathander.~ + 5Amn
++ ~I'm just on my way to the Temple of Talos.~ + 6Amn
++ ~I'm just on my way to the Order of the Radient Heart.~ + 7Amn
++ ~I'm just taking a trip to the sewers.~ + 8Amn
++ ~I'm just taking a stroll through the district, nothing to worry about.~ + 9Amn
++ ~I was just about to leave, actually.~ + 11Amn
END

IF ~~ THEN BEGIN 3Amn
SAY ~Keep that attitude up, citizen, and the only place you'll be going is to jail for questioning.~
++ ~Let's see you try.~ + 10Amn
++ ~Sorry, I just don't like being ordered around.~ + 2Amn
++ ~I was just about to leave, actually.~ + 11Amn
END

IF ~~ THEN BEGIN 4Amn
SAY ~Then I will escort you. Once at the Temple of Helm I suggest you enter and be about your business immediately, or you will be confronted again about your activities.~
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
SetGlobal("AmnishSearch","GLOBAL",3)
FadeToColor([20.0],0)
Wait(1)
MoveViewPoint([1998.1034],0)
JumpToPoint([1998.1034])
ActionOverride(Player1,JumpToPoint([2047.1100]))
ActionOverride(Player2,JumpToPoint([2016.1100]))
ActionOverride(Player3,JumpToPoint([2041.1147]))
ActionOverride(Player4,JumpToPoint([2046.1147]))
ActionOverride(Player5,JumpToPoint([2105.1152]))
ActionOverride(Player6,JumpToPoint([2025.1127]))
Wait(2)
FadeFromColor([20.0],0)
Wait(2)
EscapeArea()
EndCutSceneMode()~ EXIT
END

IF ~~ THEN BEGIN 5Amn
SAY ~Then follow me, citizen. I shall escort you to the Temple of Lathander. I suggest you enter and be about your business immediately, or you will be confronted again about your activities.~
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
SetGlobal("AmnishSearch","GLOBAL",3)
FadeToColor([20.0],0)
Wait(1)
MoveViewPoint([2852.1605],0)
JumpToPoint([2852.1605])
ActionOverride(Player1,JumpToPoint([2814.1638]))
ActionOverride(Player2,JumpToPoint([2847.1601]))
ActionOverride(Player3,JumpToPoint([2808.1632]))
ActionOverride(Player4,JumpToPoint([2856.1640]))
ActionOverride(Player5,JumpToPoint([2897.1635]))
ActionOverride(Player6,JumpToPoint([2778.1543]))
Wait(2)
FadeFromColor([20.0],0)
Wait(2)
EscapeArea()
EndCutSceneMode()~ EXIT
END

IF ~~ THEN BEGIN 6Amn
SAY ~Then follow me, citizen. I shall escort you to the Temple of Talos. I suggest you enter and be about your business immediately, or you will be confronted again about your activities.~
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
SetGlobal("AmnishSearch","GLOBAL",3)
FadeToColor([20.0],0)
Wait(1)
MoveViewPoint([1998.2288],0)
JumpToPoint([1998.2288])
ActionOverride(Player1,JumpToPoint([1980.2339]))
ActionOverride(Player2,JumpToPoint([2074.2397]))
ActionOverride(Player3,JumpToPoint([2073.2396]))
ActionOverride(Player4,JumpToPoint([2057.2285]))
ActionOverride(Player5,JumpToPoint([2087.2304]))
ActionOverride(Player6,JumpToPoint([2124.2324]))
Wait(2)
FadeFromColor([20.0],0)
Wait(2)
EscapeArea()
EndCutSceneMode()~ EXIT
END

IF ~~ THEN BEGIN 7Amn
SAY ~Then follow me, citizen. I shall escort you to the Order of the Most Radient Heart. I suggest you enter and be about your business immediately, or you will be confronted again about your activities.~
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
SetGlobal("AmnishSearch","GLOBAL",3)
FadeToColor([20.0],0)
Wait(1)
MoveViewPoint([3227.3457],0)
JumpToPoint([3227.3457])
ActionOverride(Player1,JumpToPoint([3188.3452]))
ActionOverride(Player2,JumpToPoint([3159.3475]))
ActionOverride(Player3,JumpToPoint([3159.3526]))
ActionOverride(Player4,JumpToPoint([3284.3530]))
ActionOverride(Player5,JumpToPoint([3268.3569]))
ActionOverride(Player6,JumpToPoint([3193.3559]))
Wait(2)
FadeFromColor([20.0],0)
Wait(2)
EscapeArea()
EndCutSceneMode()~ EXIT
END

IF ~~ THEN BEGIN 8Amn
SAY ~The sewers is not a place for an upstanding citizen. I suggest you leave the district, or you'll be taken in for questioning.~
++ ~Let's see you try.~ + 10Amn
++ ~I am <GABBER>. Bylanna should have told you I was coming to help.~ + 1Amn
++ ~What is going on here that needs soldiers accosting everybody?~ + 2Amn
++ ~I will go where ever I wish, *without* an escort.~ + 3Amn
++ ~I'm just on my way to the Temple of Helm.~ + 4Amn
++ ~I'm just on my way to the Temple of Lathander.~ + 5Amn
++ ~I'm just on my way to the Temple of Talos.~ + 6Amn
++ ~I'm just on my way to the Order of the Radient Heart.~ + 7Amn
++ ~I'm just taking a stroll through the district, nothing to worry about.~ + 9Amn
++ ~I was just about to leave, actually.~ + 11Amn
END

IF ~~ THEN BEGIN 9Amn
SAY ~Casual strolls are currently restricted in this area.~
IF ~~ THEN GOTO 2Amn
END

IF ~~ THEN BEGIN 10Amn
SAY ~You are under arrest for violating the law!~
IF ~~ THEN DO ~Enemy()
Attack(Player1)~ EXIT
END

IF ~~ THEN BEGIN 11Amn
SAY ~I will excort you to the nearest exit. I suggest you leave the district, or you'll be taken in for questioning.~
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
SetGlobal("AmnishSearch","GLOBAL",3)
FadeToColor([20.0],0)
Wait(1)
MoveViewPoint([4610.960],0)
JumpToPoint([4610.960])
ActionOverride(Player1,JumpToPoint([4576.950]))
ActionOverride(Player2,JumpToPoint([4523.942]))
ActionOverride(Player3,JumpToPoint([4545.997]))
ActionOverride(Player4,JumpToPoint([4636.980]))
ActionOverride(Player5,JumpToPoint([4619.1021]))
ActionOverride(Player6,JumpToPoint([4609.1044]))
Wait(2)
FadeFromColor([20.0],0)
Wait(2)
EscapeArea()
EndCutSceneMode()~ EXIT
END

IF WEIGHT #0 ~Global("AmnishSearch","GLOBAL",2)~ THEN BEGIN 0Amn2
SAY ~You see this large building, here? Another guard has already gone inside who hasn't come out yet, so it is a good thing you came when you did. I'd go in with you, but now I have to report my findings to Lady Bylanna. The best of luck to you.~
IF ~~ THEN DO ~EscapeArea()~ EXIT
END